summaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-macos-10.13-x86_64/01-sha1sum-compatibility.sh
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/qtci-macos-10.13-x86_64/01-sha1sum-compatibility.sh')
-rwxr-xr-xcoin/provisioning/qtci-macos-10.13-x86_64/01-sha1sum-compatibility.sh19
1 files changed, 5 insertions, 14 deletions
diff --git a/coin/provisioning/qtci-macos-10.13-x86_64/01-sha1sum-compatibility.sh b/coin/provisioning/qtci-macos-10.13-x86_64/01-sha1sum-compatibility.sh
index c3936499..52650fea 100755
--- a/coin/provisioning/qtci-macos-10.13-x86_64/01-sha1sum-compatibility.sh
+++ b/coin/provisioning/qtci-macos-10.13-x86_64/01-sha1sum-compatibility.sh
@@ -33,18 +33,9 @@
##
#############################################################################
-# On macOS the sha1 tool is named 'shasum' while on all other unix systems it is called 'sha1sum'.
-# In order to make all unix provioning scripts run on macOS without special case handling
-# a symbolic link is created.
-# The shasum tool is a perl script which does some globbing to determine the perl version. The
-# symbolic link has to point directly to the binary including the perl version.
-# Additionally the CI seems to have multiple parallel perl versions installed which causes
-# multiple shasum tools to be present (shasum5.16, shasum5.18).
-#
-# Currently this is
-# /usr/local/bin/sha1sum -> /usr/bin/shasum5.18
+#!/usr/bin/env bash
+
+set -ex
-[ -d /usr/local/bin ] || sudo mkdir -p /usr/local/bin
-# shellcheck disable=SC2012
-SHASUM_TOOLNAME=$(ls -r /usr/bin/shasum?.* | head -n1)
-sudo ln -s "${SHASUM_TOOLNAME}" /usr/local/bin/sha1sum
+# shellcheck source=../common/macos/sha1sum-compatibility.sh
+source "${BASH_SOURCE%/*}/../common/macos/sha1sum-compatibility.sh"